io.etcd.jetcd.api

## Interface StatusResponseOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  StatusResponse, StatusResponse.Builder

    public interface StatusResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getDbSize()` dbSize is the size of the backend database, in bytes, of the responding member.
`ResponseHeader` `getHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`ResponseHeaderOrBuilder` `getHeaderOrBuilder()` `.etcdserverpb.ResponseHeader header = 1;`
`long` `getLeader()` leader is the member ID which the responding member believes is the current leader.
`long` `getRaftIndex()` raftIndex is the current raft index of the responding member.
`long` `getRaftTerm()` raftTerm is the current raft term of the responding member.
`String` `getVersion()` version is the cluster protocol version used by the responding member.
`com.google.protobuf.ByteString` `getVersionBytes()` version is the cluster protocol version used by the responding member.
`boolean` `hasHeader()` `.etcdserverpb.ResponseHeader header = 1;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### hasHeader

    boolean hasHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Returns:
  Whether the header field is set.

#### getHeader

    ResponseHeader getHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Returns:
  The header.

#### getHeaderOrBuilder

    ResponseHeaderOrBuilder getHeaderOrBuilder()

`.etcdserverpb.ResponseHeader header = 1;`

#### getVersion

    String getVersion()

     version is the cluster protocol version used by the responding member.

`string version = 2;`

Returns:
  The version.

#### getVersionBytes

    com.google.protobuf.ByteString getVersionBytes()

     version is the cluster protocol version used by the responding member.

`string version = 2;`

Returns:
  The bytes for version.

#### getDbSize

    long getDbSize()

     dbSize is the size of the backend database, in bytes, of the responding member.

`int64 dbSize = 3;`

Returns:
  The dbSize.

#### getLeader

    long getLeader()

     leader is the member ID which the responding member believes is the current leader.

`uint64 leader = 4;`

Returns:
  The leader.

#### getRaftIndex

    long getRaftIndex()

     raftIndex is the current raft index of the responding member.

`uint64 raftIndex = 5;`

Returns:
  The raftIndex.

#### getRaftTerm

    long getRaftTerm()

     raftTerm is the current raft term of the responding member.

`uint64 raftTerm = 6;`

Returns:
  The raftTerm.